OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.INTEL.MapTexture

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetINTELMapTexture :: MonadIO m => m Bool
- gl_INTEL_map_texture :: Bool
- pattern GL_LAYOUT_DEFAULT_INTEL :: GLenum
- pattern GL_LAYOUT_LINEAR_CPU_CACHED_INTEL :: GLenum
- pattern GL_LAYOUT_LINEAR_INTEL :: GLenum
- pattern GL_TEXTURE_MEMORY_LAYOUT_INTEL :: GLenum
- glMapTexture2DINTEL :: MonadIO m => GLuint -> GLint -> GLbitfield -> Ptr GLint -> Ptr GLenum -> m (Ptr a)
- glSyncTextureINTEL :: MonadIO m => GLuint -> m ()
- glUnmapTexture2DINTEL :: MonadIO m => GLuint -> GLint -> m ()

# Extension Support

glGetINTELMapTexture :: MonadIO m => m Bool Source #

Is the INTEL_map_texture extension supported?

gl_INTEL_map_texture :: Bool Source #

Is the INTEL_map_texture extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetINTELMapTexture` in those cases instead.

# Enums

pattern GL_LAYOUT_DEFAULT_INTEL :: GLenum Source #

pattern GL_LAYOUT_LINEAR_CPU_CACHED_INTEL :: GLenum Source #

pattern GL_LAYOUT_LINEAR_INTEL :: GLenum Source #

pattern GL_TEXTURE_MEMORY_LAYOUT_INTEL :: GLenum Source #

# Functions

glMapTexture2DINTEL Source #

Arguments

:: MonadIO m |
=> GLuint | `texture`.
-> GLint | `level`.
-> GLbitfield | `access`.
-> Ptr GLint | `stride` pointing to `1` element of type `GLint`.
-> Ptr GLenum | `layout` pointing to `1` element of type `GLenum`.
-> m (Ptr a) |

glSyncTextureINTEL Source #

Arguments

:: MonadIO m |
=> GLuint | `texture`.
-> m () |

glUnmapTexture2DINTEL Source #

Arguments

:: MonadIO m |
=> GLuint | `texture`.
-> GLint | `level`.
-> m () |